Subject: First Patch Submit Ever: Additions to the Cookbook Documentation

From: Disseminate Dissent <[email-masked]>
Date: Mon, 08 Nov 2021 13:52:20 +0000

Thanks for the comments Florian,

Added periods and removed whitespace.

In my initial Guix setup I was unable to clear the terminal with neither `clear` nor C-l. Installing ncurses solved that issue and is listed as a dependency for GNU Readline.

I was able to build the html just fine before I submitted it. Upon rebuilding, the html appears fine but still getting those errors. I then decided to just clone the guix repo again without making any changes to the .texi but attempting to create the html still produced those errors.

It seems this is the issue:
Unescaped left brace in regex is deprecated here (and will be fatal in Perl 5.32), passed through in regex; marked by <-- HERE in m/^\s+@([^\s\{\}\@]+)({ <-- HERE })?\s*/ at /gnu/store/nxqw880l3r5z0dl6nrlf75mr0z0v70vp-profile/bin/texi2html line 33246.

Not sure how to proceed from here.

The new patch has been submited

Disseminate,
Peace